package domain


type AlibabaWdkSkuAddPropDo struct {
    /*
        行业属性     */
    Key  *string `json:"key,omitempty" `

    /*
        类目属性值     */
    Value  *string `json:"value,omitempty" `

    /*
        是否移除该属性     */
    RemoveOpt  *bool `json:"remove_opt,omitempty" `

}

func (s *AlibabaWdkSkuAddPropDo) SetKey(v string) *AlibabaWdkSkuAddPropDo {
    s.Key = &v
    return s
}
func (s *AlibabaWdkSkuAddPropDo) SetValue(v string) *AlibabaWdkSkuAddPropDo {
    s.Value = &v
    return s
}
func (s *AlibabaWdkSkuAddPropDo) SetRemoveOpt(v bool) *AlibabaWdkSkuAddPropDo {
    s.RemoveOpt = &v
    return s
}
